
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch fixes the following fls warning on MIPS.

  CC      arch/mips/kernel/offset.s
In file included from include/asm/system.h:18,
                 from include/asm/bitops.h:34,
                 from include/linux/bitops.h:77,
                 from include/linux/thread_info.h:20,
                 from include/linux/spinlock.h:12,
                 from include/linux/capability.h:45,
                 from include/linux/sched.h:7,
                 from arch/mips/kernel/offset.c:14:
include/linux/kernel.h: In function `roundup_pow_of_two':
include/linux/kernel.h:120: warning: implicit declaration of function `fls'

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-mips/system.h |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN include/asm-mips/system.h~mips-fixed-fls-warning include/asm-mips/system.h
--- 25/include/asm-mips/system.h~mips-fixed-fls-warning	2004-11-21 16:09:48.799968392 -0800
+++ 25-akpm/include/asm-mips/system.h	2004-11-21 16:09:48.803967784 -0800
@@ -13,9 +13,8 @@
 #define _ASM_SYSTEM_H
 
 #include <linux/config.h>
-#include <asm/sgidefs.h>
-
-#include <linux/kernel.h>
+#include <linux/linkage.h>
+#include <linux/types.h>
 
 #include <asm/addrspace.h>
 #include <asm/ptrace.h>
_
